--[[
	AllowFillTriggerForTrailer_Register.lua
	
	Author: 	Ifko[nator]
	Date:		18.02.2017
	Version:	1.0 - intial implementation in FS17
]]

SpecializationUtil.registerSpecialization("allowFillTriggerForTrailer", "AllowFillTriggerForTrailer", g_currentModDirectory .. "scripts/AllowFillTriggerForTrailer.lua");

AllowFillTriggerForTrailer_Register = {};

function AllowFillTriggerForTrailer_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v then
				local allowInsertion = true;
				
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					
					if vs and vs == SpecializationUtil.getSpecialization("fillable") then
						local v_name_string = v.name;
						local point_location = string.find(v_name_string, ".", nil, true);
						
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location - 1);
							
							if rawget(SpecializationUtil.specializations, string.format("%s.AllowFillTriggerForTrailer", _name))
								or rawget(SpecializationUtil.specializations, string.format("%s.allowFillTriggerForTrailer", _name)) 
							then
								allowInsertion = false;
							end;
						end;
						
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("allowFillTriggerForTrailer"));
						end;
					end;
				end;
			end;	
		end;
	end;
end;

function AllowFillTriggerForTrailer_Register:deleteMap()end;
function AllowFillTriggerForTrailer_Register:keyEvent(unicode, sym, modifier, isDown)end;
function AllowFillTriggerForTrailer_Register:mouseEvent(posX, posY, isDown, isUp, button)end;
function AllowFillTriggerForTrailer_Register:update(dt)end;
function AllowFillTriggerForTrailer_Register:draw()end;

addModEventListener(AllowFillTriggerForTrailer_Register);